GROUPADD(8)

NOME
groupadd - crea un nuovo gruppo

SINOSSI

groupadd [opzioni] gruppo

DESCRIZIONE

The groupadd command creates a new group account using the values specified on the command line plus the default values from the system. The new group will be entered into the system files as needed.

OPZIONI

The options which apply to the groupadd command are:

-f, --force
    This option causes the command to simply exit with success status if the specified group already exists. When used with -g, and the specified GID already exists, another (unique) GID is chosen (i.e. -g is turned off).

-g, --gid GID
    The numerical value of the group's ID. This value must be unique, unless the -o option is used. The value must be non-negative. The default is to use the smallest ID value greater than or equal to GID_MIN and greater than every other group.

    See also the -r option and the GID_MAX description.

-h, --help
    Mostra un messaggio di aiuto ed esce.

-K, --key KEY=VALUE
    Overrides /etc/login.defs defaults (GID_MIN, GID_MAX and others). Multiple -K options can be specified.

    Example: -K GID_MIN=100 -K GID_MAX=499

    Note: -K GID_MIN=10,GID_MAX=499 doesn't work yet.

-o, --non-unique
    Questa opzione permette di aggiungere un gruppo con un GID non univoco.

-p, --password PASSWORD
    The encrypted password, as returned by crypt(3). The default is to disable the password.

    Note: This option is not recommended because the password (or encrypted password) will be visible by users listing the processes.

    Ci si deve accertare che la password rispetti le norme delle password del sistema.

-r, --system
    Crea un gruppo di sistema.

    The numeric identifiers of new system groups are chosen in the SYS_GID_MIN-SYS_GID_MAX range, defined in login.defs, instead of GID_MIN-GID_MAX.

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory.

-P, --prefix PREFIX_DIR
    Apply changes in the PREFIX_DIR directory and use the configuration files from the PREFIX_DIR directory. This option does not chroot and is intended for preparing a cross-compilation target. Some limitations: NIS and LDAP users/groups are not verified. PAM authentication is using the host files. No SELINUX support.

CONFIGURAZIONE

The following configuration variables in /etc/login.defs change the behavior of this tool:

GID_MAX (number), GID_MIN (number)
    Range of group IDs used for the creation of regular groups by useradd, groupadd, or newusers.

    The default value for GID_MIN (resp. GID_MAX) is 1000 (resp. 60000).

MAX_MEMBERS_PER_GROUP (number)
    Maximum members per group entry. When the maximum is reached, a new group entry (line) is started in /etc/group (with the same name, same password, and same GID).

    Il valore predefinito è 0, che non pone nessun limite al numero di membri per gruppo.

    Questa opzione (dividi gruppo) permette di limitare la lunghezza delle righe nel file «group». Questo è utile per essere certi che le righe per gruppi NIS non eccedano i 1024 caratteri.

    Se si deve impostare questo limite, si può usare 25.

    Nota: la divisione dei gruppi potrebbe non essere supportata da ogni strumento (anche all'interno del pacchetto Shadow). Non si dovrebbe utilizzare questa variabile a meno di esserci forzati.

SYS_GID_MAX (number), SYS_GID_MIN (number)
    Range of group IDs used for the creation of system groups by useradd, groupadd, or newusers.

    The default value for SYS_GID_MIN (resp. SYS_GID_MAX) is 101 (resp. GID_MIN-1).

FILE

/etc/group
    Informazioni sugli account di gruppo.

/etc/gshadow
    Informazioni sicure sugli account di gruppo.

/etc/login.defs
    Configurazione del pacchetto password shadow

AVVISI/CAVEAT

I nomi di gruppo devono iniziare con una lettera minuscola o l'underscore, seguiti da lettere minuscole, cifre numeriche, underscore o trattini. Possono terminare con il simbolo del dollaro. In termini di espressioni regolari: [a-z_][a-z0-9_-]*[$]?

Groupnames may only be up to 16 characters long.

Non è possibile aggiungere un gruppo NIS o LDAP. Questo deve essere fatto sul server corrispondente.

If the groupname already exists in an external group database such as NIS or LDAP, groupadd will deny the group creation request.

VALORI RESTITUITI

The groupadd command exits with the following values:

0
    success

2
    invalid command syntax

3
    invalid argument to option

4
    GID not unique (when -o not used)

9
    group name not unique

10
    can't update group file

VEDERE ANCHE

chfn(1), chsh(1), passwd(1), gpasswd(8), groupdel(8), groupmod(8), login.defs(5), useradd(8), userdel(8), usermod(8).